Bug 61376 - LibreLogo: missing Asian and CTL support, and other problems
Summary: LibreLogo: missing Asian and CTL support, and other problems
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-24 02:59 UTC by László Németh
Modified: 2013-12-15 23:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test file with 'forward 45' with Japanese Logo command (9.55 KB, application/vnd.oasis.opendocument.text)
2013-02-24 02:59 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2013-02-24 02:59:17 UTC
Created attachment 75432 [details]
test file with 'forward 45' with Japanese Logo command

Attached test file: ja.odt
(content: “forward 45” in Japanese)

Preparing the test: 
1. copy LibreLogo_ja.properties from an installed distribution (eg. from /opt/libreoffice4.0/share/Scripts/python/LibreLogo) to the similar dictionary of the test build libo/install/share/Scripts/python/LibreLogo.
2. click of the Start icon of the (View->Toolbars->)Logo toolbar. The program will execute the program (the UI language of LibreOffice doesn't matter here, because the Western language of this test document is 'None', so LibreLogo will use the Asian language 'ja-JP' of the document also for the native language of the Logo program.)

Other (general) test file:
chess.odt - http://templates.libreoffice.org/template-center/chessboard

ChangeLog:

LibreLogo fixes for 4.0.0:

    * fix Asian and CTL language support. Language recognition depends from the
      UI language of LibreOffice and the language(s) of the document.
    * fix turtle shape, the problem with the old arrow-like turtle shape
      reported by teachers and other users of turtle graphics
    * better consistency with the UI based position and rotation settings of the
      turtle: now Drawing Object toolbar supports also the pen color, fill
      color and transparency, also line width settings of the turtle.
    * real dotted line works with rectangles, also with rounded corners
    * restore original cursor position and selection at the end of the running
      (problem reported by Viktória Lakó)
    * fix 'sleep' (resulted by the new default non-integer division of Python 3,
      reported by Prof. Gilvan Vilarim)
    * fix 1-character length variable name/casing problem (reported by
      Prof. Gilvan Vilarim)
    * fix false leading and ending function name recognition
    * support 'translation' of the selected text
    * fix bad line width settings after command 'home'
    * fix dot shape of dotted lines (remove its 0 width 'tail') by minimal dot
      size of dotted lines: 1pt, and shorter 'tail' size
    * fix size of the rounded corners of the rectangle shape
    * rotation doesn't modify the size of the selection frame of the turtle
Comment 1 Not Assigned 2013-02-24 03:11:49 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5a24fa0241930ae5f9d8a4c757e479d2de3efb6

fdo#61376 librelogo: fix missing Asian and CTL support, etc.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 László Németh 2013-02-24 03:17:57 UTC
Other fix in this patchset: new cancel buttons for the dialog window of the print and input statements to fix unbreakable cycles with these dialogs.
Comment 3 Not Assigned 2013-02-24 07:25:50 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c34c877ff812d332299b61f846d869b52e2e42e&h=libreoffice-4-0

fdo#61376 librelogo: fix missing Asian and CTL support, etc.


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2013-02-25 11:54:50 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e5439ccf15308abf73833b927443057c5979a37a&h=libreoffice-4-0-1

fdo#61376 librelogo: fix missing Asian and CTL support, etc.


It will be available already in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.